/*
 *	WEngine by eMan
 *  WWW : www.eman.wz.cz
 *  PATH : .\SDK\WCode\App\CBaseWinDialog.h
 */

#ifndef _CBASE_WIN_DIALOG_H
#define _CBASE_WIN_DIALOG_H

#include "EngineH.h"
#include "CBase.h"
#include "CMapMsg.h"

//static C_MAP_MSG_0 g_MapMsg_win_dialog;
//typedef LONG (*pToWndProc)(HWND, UINT, WPARAM, LPARAM);
typedef INT_PTR (*pToWndProcDlg)(HWND, UINT, WPARAM, LPARAM);
const int MAX_WINDOW_DIALOG = 10;

class C_BASE_WIN_DIALOG_0 : public C_BASE_0
{
private :
	pToWndProcDlg		_pWndProcDlg;
	HWND				_hRodic;
	bool				_modal;
	int					_IDD;
	//**//  Funkce  //**//
	void Init();

public :
	C_BASE_WIN_DIALOG_0(bool modal=0);
	C_BASE_WIN_DIALOG_0(HWND hRodic, bool modal=0);
	C_BASE_WIN_DIALOG_0(pToWndProcDlg p, int IDD, HWND hRodic=NULL, bool modal=0);
	virtual ~C_BASE_WIN_DIALOG_0();

public :
	void				WndProcFunc(pToWndProcDlg p){ _pWndProcDlg = p; }
	virtual bool		Register();
	virtual				void Kill(){;}
		
protected :
	static				INT_PTR WndProcDlg(HWND hWndDlg, UINT message, WPARAM wParam, LPARAM lParam);
};

#endif _CBASE_WIN_DIALOG_H